package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.ResourceApiInterfaceOutput;
import com.lightinit.hsdataplatform.entity.ResourceApiInterfaceOutputExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ResourceApiInterfaceOutputMapper {
    long countByExample(ResourceApiInterfaceOutputExample example);

    int deleteByExample(ResourceApiInterfaceOutputExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceApiInterfaceOutput record);

    int insertSelective(ResourceApiInterfaceOutput record);

    List<ResourceApiInterfaceOutput> selectByExampleWithBLOBs(ResourceApiInterfaceOutputExample example);

    List<ResourceApiInterfaceOutput> selectByExample(ResourceApiInterfaceOutputExample example);

    ResourceApiInterfaceOutput selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceApiInterfaceOutput record, @Param("example") ResourceApiInterfaceOutputExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceApiInterfaceOutput record, @Param("example") ResourceApiInterfaceOutputExample example);

    int updateByExample(@Param("record") ResourceApiInterfaceOutput record, @Param("example") ResourceApiInterfaceOutputExample example);

    int updateByPrimaryKeySelective(ResourceApiInterfaceOutput record);

    int updateByPrimaryKeyWithBLOBs(ResourceApiInterfaceOutput record);

    int updateByPrimaryKey(ResourceApiInterfaceOutput record);

    int deleteByApiInterfaceId(Long aLong);

    List<ResourceApiInterfaceOutput> queryOneViewResourceAPIInterfaceOutput(long id);
}